Bug 739449 - Role based authorization: User with analyst permission can not view source/validate/verify/change state on asset.
Summary: Role based authorization: User with analyst permission can not view source/va...
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: BRM (Guvnor)
Version: BRMS 5.2.0-ER1
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: ---
Assignee: Mark Proctor
QA Contact: Jiri Locker
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-19 05:48 UTC by Jervis Liu
Modified: 2013-11-07 22:12 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A bug prevented users with analyst permissions from viewing source, validate, verify, or change states on assets.
Clone Of:
Environment:
Last Closed:
Type: ---


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker GUVNOR-1637 Critical Resolved Role based authorization: User with analyst permission can not view source/validate/verify/change state on asset. 2014-06-16 01:34:38 UTC

Description Jervis Liu 2011-09-19 05:48:14 UTC
Role based authorization: User with analyst permission can not view source/validate/verify/change state on asset.

Comment 1 Jervis Liu 2011-09-19 05:50:12 UTC
https://issues.jboss.org/browse/GUVNOR-1637

Comment 2 lcarlon 2011-09-22 04:39:52 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
<remark>Need info from Jervis Liu - How was this resolved? </remark></para><para>Users with analyst permissions can not view source, validate, verify, or change states on assets.

Comment 3 lcarlon 2011-09-22 04:40:37 UTC
Hi Jervis,

How was this issue resolved? Was it simply an upgrade of the component?

Thanks
Lee

Comment 4 Jervis Liu 2011-09-22 05:59:00 UTC
Hi Lee, the issue was resoved by fixing a bug in our code.

Comment 5 Jiri Locker 2011-09-22 16:13:36 UTC
Fix verified in BRMS 5.2.0 ER4.

Comment 6 lcarlon 2011-09-22 21:48:39 UTC
Hi Jervis,

One of the things we like to provide in the release notes is how a particular bug was fixed[1], obviously we're not looking to include code diffs or fine grained details about a fix, but if there is anything you think customers might find useful or need to know as a result of the fix, please let me know and I'll add it to the release notes, alternatively I am happy to append the line "This was resolved in BRMS 5.2.0" and leave it at that.

Thanks 
Lee

[1]https://bugzilla.redhat.com/page.cgi?id=fields.html#cf_release_notes

Comment 7 lcarlon 2011-09-22 21:48:39 UTC
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1 @@
-<remark>Need info from Jervis Liu - How was this resolved? </remark></para><para>Users with analyst permissions can not view source, validate, verify, or change states on assets.+<remark>Need info from Jervis Liu - How was this resolved? </remark></para><para>A bug prevented users with analyst permissions from viewing source, validate, verify, or change states on assets.

Comment 8 lcarlon 2011-09-23 03:36:09 UTC
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1 @@
-<remark>Need info from Jervis Liu - How was this resolved? </remark></para><para>A bug prevented users with analyst permissions from viewing source, validate, verify, or change states on assets.+A bug prevented users with analyst permissions from viewing source, validate, verify, or change states on assets.

Comment 9 Jervis Liu 2011-09-23 03:54:46 UTC
Hi Lee, for this bug I really have nothing to say except "it is fixed" ;-)


Note You need to log in before you can comment on or make changes to this bug.